# CheckStandard enum

Supported check standards.

Inheritance
  - Object
  - Enum
  - CheckStandard
Available extensions
  - EnumName

## Values

USA → const CheckStandard

  A check compatible with the ASC X9 standard used in the USA */

FRA → const CheckStandard

  A check format commonly used in France */

KWT → const CheckStandard

  A check format commonly used in Kuwait */

AUS → const CheckStandard

  A check compatible with the Australian Paper Clearing System cheque standard */

IND → const CheckStandard

  A check compatible with the CTS-2010 standard issued by the Reserve Bank of India in 2012 */

ISR → const CheckStandard

  A check format commonly used in Israel */

UAE → const CheckStandard

  A check format commonly used in the United Arab Emirates. */

CAN → const CheckStandard

  A check format commonly used in Canada. */

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<CheckStandard>
  A constant List of the values in this enum, in order of their declaration.